Bug 994247 - VM failed to start running after changing the interface of bootable disk in UI.
VM failed to start running after changing the interface of bootable disk in UI.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Sergey Gotliv
Aharon Canan
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 17:21 EDT by Sergey Gotliv
Modified: 2016-02-10 14:32 EST (History)
7 users (show)

See Also:
Fixed In Version: is10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17729 None None None Never
oVirt gerrit 19467 None None None Never

  None (edit)
Description Sergey Gotliv 2013-08-06 17:21:04 EDT
Description of problem:
VM failed to start running after changing the interface of bootable disk in UI.

Version-Release number of selected component (if applicable):
ovirt-engine-backend 3.3 


How reproducible:
100%

Steps to Reproduce:
1. Create and Run VM with 1 Disk
2. Stop VM 
3. Edit Disk => Change Interface => Save
4. Run VM again

Actual results:
VM failed to start


Expected results:
VM should run


Additional info:
Comment 3 Aharon Canan 2013-08-15 07:28:50 EDT
verified using is10 according to above steps
Comment 4 Markus Stockhausen 2013-09-17 14:06:16 EDT
Hello,

maybe a the contents of the db are better than the logs:

I have a machine with two virtio disks: The vm_device table lists:

device|                          address                           |   alias
------+------------------------------------------------------------+------------
cdrom |{unit=0, bus=1, target=0, controller=0, type=drive}         |ide0-1-0
 disk |{bus=0x00, domain=0x0000, type=pci, slot=0x06, function=0x0}|virtio-disk0
 disk |{bus=0x00, domain=0x0000, type=pci, slot=0x07, function=0x0}|virtio-disk1
 scsi |{bus=0x00, domain=0x0000, type=pci, slot=0x04, function=0x0}|scsi0

Now I reconfigure the second disk to virtio-scsi and try to start the vm. It fails and the table afterwards reads:

device|                           address                          |    alias
------+------------------------------------------------------------+------------
cdrom |{unit=0, bus=1, target=0, controller=0, type=drive}         |ide0-1-0
disk  |{bus=0x00, domain=0x0000, type=pci, slot=0x07, function=0x0}|virtio-disk1
disk  |{bus=0x00, domain=0x0000, type=pci, slot=0x06, function=0x0}|virtio-disk0
scsi  |{bus=0x00, domain=0x0000, type=pci, slot=0x04, function=0x0}|scsi0

Finally I detach and reattach the disk. VM is startable again. The table is now

disk' or device='scsi');"_id='1dec3a15-996b-44ca-9bbc-e86112e244af' and ( type='d
device|                         address                            |   alias
------+------------------------------------------------------------+-----------
cdrom |{unit=0, bus=1, target=0, controller=0, type=drive}         |ide0-1-0
disk  |{unit=0, bus=0, target=0, controller=0, type=drive}         |scsi0-0-0-0
scsi  |{bus=0x00, domain=0x0000, type=pci, slot=0x04, function=0x0}|scsi0
disk  |{bus=0x00, domain=0x0000, type=pci, slot=0x06, function=0x0}|virtio-disk0

I guess the disk change dialogue does not persist the changes correctly.

Markus
Comment 5 Sergey Gotliv 2013-09-18 01:22:09 EDT
Markus,

Thanks for your comment, but this bug is already resolved and verified by QA!

Sergey
Comment 6 Markus Stockhausen 2013-09-18 02:57:04 EDT
Sorry, posted into the wrong thread
Comment 7 Itamar Heim 2014-01-21 17:27:05 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:27:36 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:30:15 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.